%define name    LinPacker
%define srcname linpacker
%define version 0.5.2
%define release 1mdk
%define qtdir %_prefix/lib/qt3

Summary:        Tool for 2D bin packing
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Sciences/Mathematics
URL:            http://linpacker.tuxfamily.org
Source0:        http://linpacker.tuxfamily.org/%srcname-%version.tar.bz2
Source1:        %{name}-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel 
BuildRequires: kdelibs-devel

%description
Tool for 2D Bin Packing

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 1 -n %srcname-%version

%build
export QTDIR="%qtdir"
export PATH=$PATH:$QTDIR/bin
./configure --prefix=/usr --libdir=%_libdir
make

%install
%makeinstall QTDIR=%qtdir

mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp -fr $RPM_BUILD_DIR/%{srcname}-%{version}/src/%srcname $RPM_BUILD_ROOT/%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/apps/%{name}/lang
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/apps/%{name}/docs
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/apps/%{name}/data

# remove backup files
rm -f docs/*~

# icon
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{srcname}"\
title="%{name}"\
longtitle="Places rectangular shapes."\
needs="KDE"\
section="Applications/Sciences/Mathematics"\
icon="%{name}.png"
EOF

%find_lang %srcname

%clean
rm -rf $RPM_BUILD_ROOT 

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %srcname.lang
%defattr(-,root,root,0755)
%doc COPYING README AUTHORS NEWS INSTALL TODO
%{_bindir}/*
%dir %_datadir/apps/linpacker
%_datadir/apps/linpacker/linpackerui.rc
%_datadir/applnk/Utilities/%{srcname}.desktop
%_datadir/applications/kde/linpacker.desktop
%_datadir/apps/linpacker
%_datadir/config.kcfg/linpacker.kcfg
%dir %_datadir/doc/HTML/en/%srcname
%_datadir/doc/HTML/en/linpacker/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_menudir/%{name}

%changelog
* Mon Jun 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-1mdk
- 0.5.2

* Thu Jan 13 2004 Franck Villaume <fvill@freesurf.fr> 0.5.1-1mdk
- 0.5.1
- 64bits buildrequires

* Wed Sep 17 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-1mdk
- 0.5.0
 
* Fri Jul 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.9-2mdk
- buildrequires kdelibs-devel

* Fri Jul 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.9-1mdk
- 0.4.9

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.8-2mdk
- DIRM fix

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.8-1mdk
- 0.4.8
 
* Mon Apr 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.8-2mdk
- cleanup
- add menu

* Mon Apr 14 2003 TN <tnagy@eleve.emn.fr> 0.3.8-1mdk
second rpm build attempt

* Sun Mar 09 2003 TN <tnagy@eleve.emn.fr> 0.2.0-1mdk
first rpm build
